Summary: The most widely used Web server on the Internet.
Name: apache
Version: 1.3.19
Release: 1
Group: System Environment/Daemons
Copyright: Freely distributable and usable
Url: http://www.apache.org/httpd.html
Packager: Hao Li <hli@wag.caltech.edu>
Source0: http://httpd.apache.org/dist/apache_%{version}.tar.gz
Source1: httpd.init
Source2: apache.logrotate
Patch0:  httpd.conf.patch
Patch1:  layout.patch
BuildRoot: /var/tmp/%{name}-root

%description
Apache is a powerful, full-featured, efficient and freely-available
Web server. Apache is also the most popular Web server on the
Internet.

Server will run as httpd:httpd rather than nobody:nobody. 
Make sure user and group httpd exist before installing this package.

Documentations is available at http://www.apache.org/docs/.


%prep
%setup -q -n apache_%{version}
%patch1 -p1


%build
OPTIM="$RPM_OPT_FLAGS" ./configure \
	--with-layout=RedHat \
	--disable-rule=WANTHSREGEX \
	--enable-module=all \
	--enable-shared=max \
	--with-perl=/usr/bin/perl \
	--with-port=80 \
	--server-uid=httpd --server-gid=httpd
NCPU=`egrep -c ^processor /proc/cpuinfo`
export MAKE="make -j$NCPU"
$MAKE


%install
rm -rf $RPM_BUILD_ROOT
make install root=$RPM_BUILD_ROOT

# Remove apachectl; we have our own SYSV init stuff
rm -f $RPM_BUILD_ROOT/usr/{sbin/apachectl,man/man8/apachectl.8}

# Remove bundled documentations and CGI examples
rm -rf $RPM_BUILD_ROOT/home/httpd/{cgi-bin,htdocs}/*

# Remove outdated configuration files
rm -f $RPM_BUILD_ROOT/etc/httpd/{access,srm}.conf{,.default}

# Patch default httpd.conf
patch --no-backup-if-mismatch $RPM_BUILD_ROOT/etc/httpd/httpd.conf %{PATCH0}
(cd $RPM_BUILD_ROOT/etc/httpd/; cp -p httpd.conf httpd.conf.default)

# install SYSV init stuff
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/httpd

# install log rotation stuff
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/apache


%post
/sbin/chkconfig --add httpd

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del httpd
fi


%files
%defattr(-,root,root)
%doc ABOUT_APACHE Announcement INSTALL KEYS LICENSE README* WARNING-WIN.TXT

%dir /etc/httpd
%config /etc/httpd/*
%config /etc/logrotate.d/apache
%config /etc/rc.d/init.d/httpd

/home/httpd

/usr/bin/*
/usr/sbin/*
/usr/man/man*/*
/usr/include/apache
/usr/lib/apache

%dir %attr(-,httpd,httpd) /var/cache/httpd
%dir /var/log/httpd


%clean
rm -rf $RPM_BUILD_ROOT
